import Editor from '@modules/editor';
import { Events } from '@modules/editor/type/events';
import { EventTriggerParams } from '@egjs/component/declaration/types';

class EditorEvent {
  #Editor: Editor;
  constructor(editor: Editor) {
    this.#Editor = editor;
  }

  public init() {
    this.#initEvents();
  }

  public eventTrigger(type: keyof Events, params: Events[keyof Events]) {
    this.#Editor.trigger(type, params);
  }

  #initEvents() {
    const editor = this.#Editor;
    window.addEventListener('resize', () => {
      editor.trigger('resize', { type: 'resize', target: editor });
    });
  }
}

export default EditorEvent;
